#!/bin/bash

#
# verbStpQueueToHostAssociation.sh
#
#   Memorizza nel file di output per la modalita' verbose, se attiva, 
#   l'avvenuta associazione della coda tsp all'host
#

# 
# Parametri
#
# <verbose>
#   i valori ammessi per il parametro sono 0 o 1.
#   Se 1 attiva la modalita' verbose di esecuzione dello script
# <callingScript>
#   nome dello script chiamante
# <workingDirectoryRelativePath>
#   path relativo alla directory g4cParallelSimulation di quella
#   di lavoro che contiene le subdirectory assegnate ai job che
#   realizzano la simulazione, il file con le informazioni relative
#   ai loro istanti di sottomissione e di completamento e il file di
#   output per la modalita' verbose
# <host>
#   host oggetto dell'associazione
# <verbOutputFileRelativePath>
#   path relativo alla directory g4cParallelSimulation del file
#   di output per la modalita' verbose
#
												 
# Estrae i parametri dello script dalla sua chiamata
verbose=$1
callingScript=$2
workingDirectoryRelativePath=$3
host=$4
verbOutputFileRelativePath=$5

# Esce se la modalita' verbose non e' attiva
if test $verbose -eq 0
then
   exit 0
fi

# Memorizza nel file di output per la modalita' verbose 
# l'avvenuta associazione di una coda tsp ad un host
cat <<  EOF >> $verbOutputFileRelativePath  
Tsp queue /tmp/$(basename $workingDirectoryRelativePath.tsp) associated to host $host
	
EOF

exit 0

